using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace MessageServer
{
    [ServiceBehavior(InstanceContextMode=InstanceContextMode.Single, ConcurrencyMode=ConcurrencyMode.Multiple)]
    public class MessageService : IMessageService
    {
        private Form1 hostApp;

        public void DoWork()
        {
        }

        public MessageService(Form1 hostApp)
        {
            this.hostApp = hostApp;
        }

        public void SetMessage(string msg)
        {
            hostApp.DisplayMessage(msg);
        }
    }
}
